curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/custom-fields/batch' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"orderIds": [
"string"
],
"fieldName": "string",
"fieldValue": {}
}'
{
"body": {}
}
Batch update custom fields on NetSuite orders
Batch custom-field update result
POST
/
v1
/
tenants
/
{tenant_id}
/
netsuite
/
custom-fields
/
batch
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/custom-fields/batch' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"orderIds": [
"string"
],
"fieldName": "string",
"fieldValue": {}
}'
{
"body": {}
}
Path parameters
string
required
Tenant identifier
Request body
object
string[]
required
List of NetSuite order IDs to update
string
required
Custom field internal ID or script ID
object
required
Value to set
Response
object
object
required
Response body
Status codes
| Code | Meaning |
|---|---|
200 | Batch custom-field update result |
401 | Unauthorized |
422 | Validation error |
424 | NetSuite integration not configured |
curl --request POST \
--url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/netsuite/custom-fields/batch' \
--header "x-stateset-api-key: $STATESET_SYNC_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"orderIds": [
"string"
],
"fieldName": "string",
"fieldValue": {}
}'
{
"body": {}
}
Last modified on August 31, 2026